#!/usr/bin/env bash

# https://brianchildress.co/named-parameters-in-bash/
repeat=${repeat:-1}

time=${time:-10}

while [ $# -gt 0 ]; do

   if [[ $1 == *"--"* ]]; then
        param="${1/--/}"
        declare $param="$2"
        # echo $1 $2  # Optional to see the parameter:value result
   fi

  shift

done

for i in `seq 1 $repeat`;

do

    sleep $time

    # fio   --bs=4k --rw=randrw --percentage_random=50 --rwmixread=70 --rwmixwrite=30 --direct=1 --iodepth=256 --time_based --group_reporting --name=iops-test-job --eta-newline=1 --numjobs=1 --filename=runfio.sh.test --runtime=$time --size=1GB --ioengine=libaio --rate_iops=700,300,

    fio --runtime=$time --eta-newline=1 runfio.cfg

done
