#!/usr/bin/env bash

# https://brianchildress.co/named-parameters-in-bash/
repeat=${repeat:-1}

count=${count:-1}

while [ $# -gt 0 ]; do

   if [[ $1 == *"--"* ]]; then
        param="${1/--/}"
        declare $param="$2"
        # echo $1 $2  # Optional to see the parameter:value result
   fi

  shift

done

# echo $repeat $count

for i in `seq 1 $repeat`;

do

    dt=`date '+%Y-%m-%d_%H-%M-%S'`

    echo "$i    $dt"

    ./sysstat/iostat -x -t -o JSON 10 $count > "./runiostat.sh-$dt.json"

done
